Loading...
Searching...
No Matches
geometricProperties.h File Reference
`#include <BALL/common.h>`
`#include <BALL/MATHS/vector3.h>`
`#include <BALL/MATHS/simpleBox3.h>`
`#include <BALL/KERNEL/atom.h>`
`#include <BALL/KERNEL/fragment.h>`
`#include <BALL/CONCEPT/processor.h>`
`#include <BALL/DATATYPE/string.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | BALL::BoundingBoxProcessor
class | BALL::GeometricCenterProcessor
class | BALL::FragmentDistanceCollector

## Namespaces

namespace | BALL

## Functions

Angle Calculation
BALL_EXPORT Angle | BALL::calculateTorsionAngle (const Atom &a1, const Atom &a2, const Atom &a3, const Atom &a4)
BALL_EXPORT bool | BALL::setTorsionAngle (const Atom &a1, const Atom &a2, Atom &a3, const Atom &a4, Angle angle)
BALL_EXPORT Angle | BALL::calculateBondAngle (const Atom &a1, const Atom &a2, const Atom &a3)